<?php
/**
  * RMA Return System for osCommerce Online Merchant
  *
  * Author: frankl
  *
  * Portions @copyright (c) 2017 osCommerce; https://www.oscommerce.com
  * @license MIT; https://www.oscommerce.com/license/mit.txt
  */
if (RMA_RETURN_SYSTEM == '1') {
  $cl_box_groups[] = array(
    'heading' => BOX_RETURNS_HEADING,
    
	'apps' => array(
      array(
        'code' => 'returns.php',
        'title' => BOX_RETURNS_MAIN,
        'link' => tep_href_link('returns.php')
      ),
      array(
        'code' => 'returns_reasons.php',
        'title' => BOX_RETURNS_REASONS,
        'link' => tep_href_link('returns_reasons.php')
      ),
      array(
        'code' => 'refund_methods.php',
        'title' => BOX_HEADING_REFUNDS,
        'link' => tep_href_link('refund_methods.php')
      ),
      array(
        'code' => 'returns_status.php',
        'title' => BOX_RETURNS_STATUS,
        'link' => tep_href_link('returns_status.php')
      ),
      array(
        'code' => 'returns_configuration.php',
        'title' => BOX_RETURNS_CONFIGURATION,
        'link' => tep_href_link('returns_configuration.php')
      )
    )
  );
  
} else {
  $cl_box_groups[] = array(
    'heading' => BOX_RETURNS_HEADING,
    
	'apps' => array(
      array(
        'code' => 'returns_configuration.php',
        'title' => BOX_RETURNS_START,
        'link' => tep_href_link('returns_configuration.php')
      )
    )
  );
}
?>