<?php
/**
  * RMA Return System for osCommerce Online Merchant
  *
  * Author: frankl
  *
  * Portions @copyright (c) 2017 osCommerce; https://www.oscommerce.com
  * @license MIT; https://www.oscommerce.com/license/mit.txt
  */


define('NAVBAR_TITLE', 'Returns Configuration');
define('HEADING_TITLE', 'Returns Configuration');

define('HEADING_TITLE_INSTALL', 'Install RMA System');
define('TEXT_RETURNS_INSTALL', 'Do you want to install the RMA System? This will create all database entries needed and initialises the system.');
define('IMAGE_INSTALL', 'Install');

define('HEADING_TEXT_DIRECTIONS', '<strong>Choose which order status or order statuses an order must be before products can be returned</strong>');
define('HEADING_TEXT_DIRECTIONS_DAYS', '<strong>How many days after the customer has purchased can they initiate a return from their Account History Info page?</strong>');
define('HEADING_TEXT_DIRECTIONS_RESTOCK_FEE', '<strong>What is the default percentage that will be charged as a restocking fee?</strong>');
define('HEADING_TEXT_DIRECTIONS_PAYPAL_STATUS', '<strong>Status which will show admin notes such as Paypal Transactions, Coupons Issued etc towards the return. Should be one set to non public</strong>');
define('HEADING_TEXT_DIRECTIONS_CLOSED_STATUS', '<strong>What status is the order closed?</strong>');
define('HEADING_TEXT_DIRECTIONS_TERMS_AND_CONDITIONS', '<strong>Terms and conditions information</strong>');

define('TEXT_TERMS_AND_CONDITIONS', 'Terms and conditions text shown to customer');
define('TEXT_DAYS', 'Days <small>(To prevent any new returns set this to -1)</small>');
define('TEXT_PERCENT', 'Percent <small>(Set this to 0 if you don\'t want to show the restocking fee warning on the customer return request page.)</small>');
define('TEXT_PAYPAL_STATUS', 'Usually \'Admin Notes\'');
define('TEXT_CLOSED_STATUS', 'Usually \'Closed\'');
define('TEXT_SHOW_TERMS_AND_CONDITIONS', 'Display terms and conditions to customers before they fill in a return form?<br><small>(This displays a modal where customers must agree to the terms and conditions before they can continue. It also gives them the option of having terms and conditions emailed to them)</small> ');
define('HEADING_TEXT_DIRECTIONS_SERIAL_NUMBER', 'Display serial number field to customers when they fill in a return form?<br><small>(This displays a modal where customers must agree to the terms and conditions before they can continue. It also gives them the option of having terms and conditions emailed to them)</small> ');
define('TEXT_SHOW_SERIAL_NUMBER', 'Show the serial number field on the return request page?');
define('TEXT_SHOW_SERIAL_NUMBER_OPTION', 'Are serial numbers required or optional?');
define('TEXT_SHOW_SERIAL_NUMBER_REQUIRED', 'Required');
define('TEXT_SHOW_SERIAL_NUMBER_OPTIONAL', 'Optional');
?>
