<?php
/**
  * RMA Return System for osCommerce Online Merchant
  *
  * Author: frankl
  *
  * Portions @copyright (c) 2017 osCommerce; https://www.oscommerce.com
  * @license MIT; https://www.oscommerce.com/license/mit.txt
  */

  require('includes/application_top.php');
  
  if ($_GET['action'] != 'install') {
	$rma_value_query = tep_db_query("select * from configuration where configuration_key = 'RMA_RETURN_SYSTEM'");
	  if (!tep_db_num_rows($rma_value_query)) {
	   $_GET['action'] = 'install_new';
	  }
   } 
  
  switch ($_GET['action']) {
    case 'install':
	
	  $insert_id = '35';
	  
	  $rma_group_query = tep_db_query("select * from configuration_group where configuration_group_title = 'RMA Returns'");
		if (!tep_db_num_rows($rma_group_query)) {
		  tep_db_query("insert into configuration_group VALUES ('" . $insert_id . "', 'RMA Returns', 'RMA Returns System', '20', '1')");
	  } else {
		 $rma_group_id_query = tep_db_query("select configuration_group_id from configuration_group where configuration_group_title = 'RMA Returns'");
		 $rma_group_id = tep_db_fetch_array($rma_group_id_query);
		 $insert_id = $rma_group_id['configuration_group'];
	  }
	  
	  $rma_value_query = tep_db_query("select * from configuration where configuration_key = 'RMA_RETURN_SYSTEM'");
		if (!tep_db_num_rows($rma_value_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Use the RMA returns system?', 'RMA_RETURN_SYSTEM', '1', 'Turn the RMA System on or off', '" . $insert_id . "', '1','tep_cfg_select_option(array(\'true\', \'false\'), ', now())");
		}
		
	   $restock_value_query = tep_db_query("select * from configuration where configuration_key = 'DEFAULT_RESTOCK_VALUE'");
		if (!tep_db_num_rows($restock_value_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Default charge for restocking a non-faulty item', 'DEFAULT_RESTOCK_VALUE', '12.5', 'This is the charge applied to refund to cover the return of non-faulty items which are to be entered back into stock for resale', '" . $insert_id . "', '2', '', now())");
		}	
		
		$reason_query = tep_db_query("select * from configuration where configuration_key = 'DEFAULT_RETURN_REASON'");
		if (!tep_db_num_rows($reason_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Default Return Reason', 'DEFAULT_RETURN_REASON', '1', 'This is the default reason applied to all returns', '" . $insert_id . "', '3', '', now())");
		}
		
		$reason_id_query = tep_db_query("select * from configuration where configuration_key = 'DEFAULT_RETURN_STATUS_ID'");
		if (!tep_db_num_rows($reason_id_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Default Return Status', 'DEFAULT_RETURN_STATUS_ID', '1', 'Default return status assigned to all new returns', '" . $insert_id . "', '4', '', now())");
		}
		
		$refund_query = tep_db_query("select * from configuration where configuration_key = 'DEFAULT_REFUND_METHOD'");
		if (!tep_db_num_rows($refund_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Default Refund Method', 'DEFAULT_REFUND_METHOD', '2', 'Default method for refund payment', '" . $insert_id . "', '5', '', now())");
		}
		
		$days_query = tep_db_query("select * from configuration where configuration_key = 'DAYS_FOR_REFUND'");
		if (!tep_db_num_rows($days_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Refund Time Limit', 'DAYS_FOR_REFUND', '90', 'Number of days after order is placed a refund can be requested', '" . $insert_id . "', '6', '', now())");
		}
		
		$paypal_query = tep_db_query("select * from configuration where configuration_key = 'RETURNS_PAYPAL_TRANSACTIONS_ORDER_STATUS_ID'");
		if (!tep_db_num_rows($paypal_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Paypal Refunds for returns', 'RETURNS_PAYPAL_TRANSACTIONS_ORDER_STATUS_ID', '6', 'Set Paypal Refunds for returns to what status', '" . $insert_id . "', '7', '', now())");
		}
		
		$closed_query = tep_db_query("select * from configuration where configuration_key = 'RETURNS_CLOSED_TRANSACTIONS_ORDER_STATUS_ID'");
		if (!tep_db_num_rows($closed_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Customer value for closed returns', 'RETURNS_CLOSED_TRANSACTIONS_ORDER_STATUS_ID', '5', 'Set closed returns to what status', '" . $insert_id . "', '8', '', now())");
		}
		
		$terms_query = tep_db_query("select * from configuration where configuration_key = 'RETURNS_SHOW_TERMS_AND_CONDITIONS'");
		if (!tep_db_num_rows($closed_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Show terms and conditions for returns', 'RETURNS_SHOW_TERMS_AND_CONDITIONS', '0', 'Do you want to show terms and conditions for returns', '" . $insert_id . "', '9', '', now())");
		}
		
		$serial_query = tep_db_query("select * from configuration where configuration_key = 'RETURNS_SHOW_SERIAL_NUMBER'");
		if (!tep_db_num_rows($serial_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Use serial numbers?', 'RETURNS_SHOW_SERIAL_NUMBER', '0', 'If you need to keep track of serial numbers for returns', '" . $insert_id . "', '10', '', now())");
		}
		
		$serial_option_query = tep_db_query("select * from configuration where configuration_key = 'RETURNS_SHOW_SERIAL_NUMBER_OPTION'");
		if (!tep_db_num_rows($serial_option_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Are serial numbers optional or required?', 'RETURNS_SHOW_SERIAL_NUMBER_OPTION', '0', 'Option whether serial numbers are optional or required', '" . $insert_id . "', '11', '', now())");
		}		
		
		$modules_installed = explode(';', MODULE_HEADER_TAGS_INSTALLED);
		if (!in_array('ht_returns.php', $modules_installed)) {
		  if (file_exists(DIR_FS_CATALOG . 'includes/modules/header_tags/ht_returns.php')) {
			include(DIR_FS_CATALOG . 'includes/modules/header_tags/ht_returns.php');
			$module = new ht_returns;
			$ht_returns->install;
			if (!in_array('ht_returns.php', $modules_installed)) {
              $modules_installed[] = 'ht_returns.php';
            }
			  tep_db_query("update " . TABLE_CONFIGURATION . " set configuration_value = '" . implode(';', $modules_installed) . "' where configuration_key = 'MODULE_HEADER_TAGS_INSTALLED'");
		  }
		}
		
		$ht_query = tep_db_query("select * from configuration where configuration_key = 'MODULE_HEADER_TAGS_RETURNS_STATUS'");
		if (!tep_db_num_rows($ht_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Enable Module', 'MODULE_HEADER_TAGS_RETURNS_STATUS', 'True', 'Do you want to enable the module?', '" . $insert_id . "', '12', '', now())");
		}
		
		$ht_sort_query = tep_db_query("select * from configuration where configuration_key = 'MODULE_HEADER_TAGS_RETURNS_SORT_ORDER'");
		if (!tep_db_num_rows($ht_sort_query)) {
			tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ( 'Sort Order', 'MODULE_HEADER_TAGS_RETURNS_SORT_ORDER', '2000', 'Sort order of display. Lowest is displayed first.', '" . $insert_id . "', '13', '', now())");
		}
		
		if ( tep_db_num_rows(tep_db_query("show tables like 'refund_method'")) != 1 ) {
			 
		   tep_db_query("CREATE TABLE `refund_method` (
						`refund_method_id` int(11) NOT NULL DEFAULT '0',
						`language_id` int(11) NOT NULL DEFAULT '1',
						`refund_method_name` varchar(32) COLLATE utf8_unicode_ci NOT NULL DEFAULT ''
						) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

		   tep_db_query("INSERT INTO `refund_method` (`refund_method_id`, `language_id`, `refund_method_name`) VALUES
						(2, 1, 'Credit Voucher'),
						(3, 1, 'Exchange'),
						(1, 1, 'Refund');");
						
		   tep_db_query("ALTER TABLE `refund_method`
						ADD PRIMARY KEY (`refund_method_id`,`language_id`),
						ADD KEY `idx_refund_method_name` (`refund_method_name`);");
  
				 }
				 
		if ( tep_db_num_rows(tep_db_query("show tables like 'refund_payments'")) != 1 ) {
			 
		   tep_db_query("CREATE TABLE `refund_payments` (
						`refund_payment_id` int(11) NOT NULL,
						`returns_id` int(11) NOT NULL DEFAULT '0',
						`refund_payment_name` varchar(64) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'No Refund Made',
						`refund_payment_value` decimal(15,4) NOT NULL DEFAULT '0.0000',
						`refund_payment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
						`refund_payment_reference` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
						`refund_payment_deductions` decimal(15,4) NOT NULL DEFAULT '0.0000',
						`customer_method` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
						`refund_payment_finalised` int(3) NOT NULL DEFAULT '0'
						) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

						
		   tep_db_query("ALTER TABLE `refund_payments`
						ADD PRIMARY KEY (`refund_payment_id`);");
						
		   tep_db_query("ALTER TABLE `refund_payments`
						MODIFY `refund_payment_id` int(11) NOT NULL AUTO_INCREMENT;");
  
				 }


		if ( tep_db_num_rows(tep_db_query("show tables like 'return_reasons'")) != 1 ) {
			 
		   tep_db_query("CREATE TABLE `return_reasons` (
					    `return_reason_id` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
					    `language_id` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
					    `return_reason_name` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL
					    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

						
		   tep_db_query("INSERT INTO `return_reasons` (`return_reason_id`, `language_id`, `return_reason_name`) VALUES
						(1, 1, 'Faulty'),
						(2, 1, 'Damaged'),
						(3, 1, 'Incorrect Item'),
						(4, 1, 'Warranty');");
						
		   tep_db_query("ALTER TABLE `return_reasons`
						ADD PRIMARY KEY (`return_reason_id`,`language_id`);");
  
				 }

		if ( tep_db_num_rows(tep_db_query("show tables like 'returns_text'")) != 1 ) {
			 
		   tep_db_query("CREATE TABLE `returns_text` (
					    `return_text_id` tinyint(3) UNSIGNED NOT NULL,
					    `language_id` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
					    `terms_and_conditions` mediumtext COLLATE utf8_unicode_ci
					    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

						
		   tep_db_query("INSERT INTO `returns_text` (`return_text_id`, `language_id`, `terms_and_conditions`) VALUES
						(1, 1, 'Please contact us first to obtain a Return Authorisation Number. Returned goods cannot be accepted without a Return Authorisation Number.\n\nIncorrectly ordered goods must be returned in original packaging which is still intact. We cannot accept any incorrectly ordered goods which have been opened or if the packaging is damaged or defaced in any way.\n\nWhen returning incorrectly ordered goods please pack them in another box so that the original packaging will not be damaged by stickers, courier handling etc.\nIt is your responsibility to pay the freight charges to our warehouse. It is the customers responsibility to ensure they have a proof of delivery for goods returned to us. \n\nReturn Authorisations are only valid for 14 days.\nAll incorrectly ordered goods returned will incur a 20% restocking fee.\n\nIf the product has been tampered with in any way, the credit will be rejected.\n\nWe pay shipping for the return of faulty items - but please, first wait for a return authorization number from us, and then wait for us to advise you of our preferred return method. Sorry, we can\'t pay freight on unauthorised returns.\n\nReturn Authorisations are only valid for 14 days.\n\nOnce we have received the goods, we will then evaluate them and contact you to advise the result.\n\nIn the case of hardware please contact the manufacturer to have repairs carried out under warranty. If you need assistance we are happy to help, just contact us.');");
						
		   tep_db_query("ALTER TABLE `returns_text`
					    ADD PRIMARY KEY (`return_text_id`,`language_id`),
					    ADD KEY `status_id` (`return_text_id`);");
						
		   tep_db_query("ALTER TABLE `returns_text`
						MODIFY `return_text_id` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;");
  
				 }
				 
				 
		if ( tep_db_num_rows(tep_db_query("show tables like 'returned_products'")) != 1 ) {
			 
		     tep_db_query("CREATE TABLE `returned_products` (
						  `returns_id` int(11) NOT NULL,
						  `customers_id` int(11) NOT NULL DEFAULT '0',
						  `rma_value` text COLLATE utf8_unicode_ci NOT NULL,
						  `orders_id` int(11) NOT NULL DEFAULT '0',
						  `last_modified` datetime DEFAULT NULL,
						  `date_added` datetime DEFAULT NULL,
						  `returns_status` int(5) NOT NULL DEFAULT '1',
						  `returns_date_finished` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
						  `return_reason_id` tinyint(5) UNSIGNED DEFAULT '0',
						  `products_id` int(11) NOT NULL,
						  `products_quantity` int(11) NOT NULL,
						  `products_serial_number` varchar(128) COLLATE utf8_unicode_ci DEFAULT NULL,
						  `products_returned` int(3) NOT NULL,
						  `contact_user_name` varchar(64) COLLATE utf8_unicode_ci NOT NULL DEFAULT ''
						) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
						");

						
		   tep_db_query("ALTER TABLE `returned_products`
						ADD PRIMARY KEY (`returns_id`);");
						
		   tep_db_query("ALTER TABLE `returned_products`
						MODIFY `returns_id` int(11) NOT NULL AUTO_INCREMENT;	");

  
				 }


		if ( tep_db_num_rows(tep_db_query("show tables like 'returns_status'")) != 1 ) {
			 
		   tep_db_query("CREATE TABLE `returns_status` (
					    `returns_status_id` int(11) NOT NULL DEFAULT '1',
					    `language_id` int(11) NOT NULL DEFAULT '1',
					    `returns_status_name` varchar(32) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
					    `public_flag` int(11) DEFAULT '1'
					    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

		   tep_db_query("INSERT INTO `returns_status` (`returns_status_id`, `language_id`, `returns_status_name`, `public_flag`) VALUES
						(1, 1, 'Pending', 1),
						(2, 1, 'Awaiting Return', 1),
						(3, 1, 'Cancelled', 1),
						(4, 1, 'Complete', 1),
						(5, 1, 'Closed', 1),
						(6, 1, 'Admin Notes', 0);");
						
		   tep_db_query("ALTER TABLE `returns_status`
					    ADD PRIMARY KEY (`returns_status_id`,`language_id`),
					    ADD KEY `idx_returns_status_name` (`returns_status_name`);");
  
				 }				 
		 
				 
		if ( tep_db_num_rows(tep_db_query("show tables like 'returns_status_history'")) != 1 ) {
			 
		   tep_db_query("CREATE TABLE `returns_status_history` (
						  `returns_status_history_id` int(11) UNSIGNED NOT NULL,
						  `returns_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
						  `returns_status_id` int(5) UNSIGNED NOT NULL DEFAULT '0',
						  `date_added` datetime DEFAULT NULL,
						  `customer_notified` int(1) UNSIGNED DEFAULT '0',
						  `comments` text COLLATE utf8_unicode_ci
						) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Return products''s status change history';");

		   tep_db_query("ALTER TABLE `returns_status_history`
						ADD PRIMARY KEY (`returns_status_history_id`);");
						
		   tep_db_query("ALTER TABLE `returns_status_history`
						MODIFY `returns_status_history_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;");
		   tep_db_query("INSERT INTO `returns_status_history` (`returns_status_history_id`, `returns_id`, `returns_status_id`, `date_added`, `customer_notified`, `comments`) VALUES (1, 0, 1, '2017-08-22 23:41:38', 1, '');");
  
				 }					 

		if ( tep_db_num_rows(tep_db_query("show tables like 'returns_configuration'")) != 1 ) {
			 
		   tep_db_query("CREATE TABLE `returns_configuration` (
						  `returns_configuration_id` int(11) NOT NULL,
						  `returns_order_statuses` varchar(128) NOT NULL
						) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Set order statuses when customers can return products';");

		   tep_db_query("ALTER TABLE `returns_configuration`
						ADD PRIMARY KEY (`returns_configuration_id`);");
						
		   tep_db_query("INSERT INTO `returns_configuration` (`returns_configuration_id`, `returns_order_statuses`) VALUES
						(1, '3');");
						
		   tep_db_query("ALTER TABLE `returns_configuration`
						MODIFY `returns_configuration_id` int(11) NOT NULL AUTO_INCREMENT; ");
  
				 }
				 
		tep_redirect(tep_href_link('returns_configuration.php'));

	   break;
  

	
	case 'update':
	

		if (isset($_POST['show_terms_and_conditions']) && is_numeric($_POST['show_terms_and_conditions'])) {
		  $show_terms_and_conditions = tep_db_prepare_input($_POST['show_terms_and_conditions']);
		} else {
		  $show_terms_and_conditions = '0';
		}


      tep_db_query("update configuration set configuration_value = '" . (int)$show_terms_and_conditions . "' where configuration_key = 'RETURNS_SHOW_TERMS_AND_CONDITIONS'");

	  
	  if (isset($_POST['show_serial_number']) && is_numeric($_POST['show_serial_number'])) {
		  $show_serial_number = tep_db_prepare_input($_POST['show_serial_number']);
		} else {
		  $show_serial_number = '0';
		}


      tep_db_query("update configuration set configuration_value = '" . (int)$show_serial_number . "' where configuration_key = 'RETURNS_SHOW_SERIAL_NUMBER'");
	  
	  if (isset($_POST['show_serial_number_option']) && is_numeric($_POST['show_serial_number_option'])) {
		  $show_serial_number_option = tep_db_prepare_input($_POST['show_serial_number_option']);
		} else {
		  $show_serial_number_option = '0';
		}


      tep_db_query("update configuration set configuration_value = '" . (int)$show_serial_number_option . "' where configuration_key = 'RETURNS_SHOW_SERIAL_NUMBER_OPTION'");
	  
	
		if (is_numeric($_POST['days'])) {
			tep_db_query("update configuration set configuration_value = '" . tep_db_input($_POST['days']) . "' where configuration_key = 'DAYS_FOR_REFUND'");	
		}		

		if (is_numeric($_POST['restock'])) {
			tep_db_query("update configuration set configuration_value = '" . tep_db_input($_POST['restock']) . "' where configuration_key = 'DEFAULT_RESTOCK_VALUE'");	
		}
		
		if (isset($_POST['status'])) {
			tep_db_query("update configuration set configuration_value = '" . tep_db_input($_POST['status']) . "' where configuration_key = 'RETURNS_PAYPAL_TRANSACTIONS_ORDER_STATUS_ID'");
		}
		
		if (isset($_POST['closed'])) {
			tep_db_query("update configuration set configuration_value = '" . tep_db_input($_POST['closed']) . "' where configuration_key = 'RETURNS_CLOSED_TRANSACTIONS_ORDER_STATUS_ID'");
		}
		
		$languages = tep_get_languages();
        for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
          $language_id = $languages[$i]['id'];
		  
		  $terms_and_conditions_check_query = tep_db_query("select terms_and_conditions from returns_text where language_id = '" . (int)$language_id . "'");
		  if (!tep_db_num_rows($terms_and_conditions_check_query)) {
			  $insert_sql_data = array('terms_and_conditions' => tep_db_prepare_input($_POST['terms_and_conditions'][$language_id]),
									   'language_id' => $language_id);
			  tep_db_perform('returns_text', $insert_sql_data);
		  } else {

          $sql_data_array = array('terms_and_conditions' => tep_db_prepare_input($_POST['terms_and_conditions'][$language_id]),
								  'language_id' => $language_id);
			tep_db_perform('returns_text', $sql_data_array, 'update', "language_id = '" . (int)$language_id . "'");
		  }
		}
      
		(array)$orders_status_id = $_POST['orders_status_id'];

		if (sizeof($orders_status_id) > 0) {
		  $orders_status_id_parsed = array();
			reset($orders_status_id);
			  while (list(, $value) = each($orders_status_id)) {
				if (is_numeric($value)) {
				  $orders_status_id_parsed[] = $value;
				}
			  }
		}
	  
        if (sizeof($orders_status_id_parsed) > 0) {
          $check_query = tep_db_query("select count(*) as total from returns_configuration where returns_order_statuses not in (" . implode(',', $orders_status_id_parsed) . ")");
          $check = tep_db_fetch_array($check_query);

			if ($check['total'] > 0) {
			  tep_db_query("delete from returns_configuration where returns_order_statuses not in (" . implode(',', $orders_status_id_parsed) . ")");
			} 
        } else {
			tep_db_query("delete from returns_configuration");
		}

		if ( isset($_POST['orders_status_id']) && is_array($_POST['orders_status_id']) && !empty($_POST['orders_status_id']) ) {
			$configuration = array_unique($_POST['orders_status_id']);

		foreach ( $configuration as $c ) {
		  if ( is_numeric($c) && ($c > 0) ) {
			$check_query = tep_db_query("select returns_order_statuses from returns_configuration where returns_order_statuses = '" . (int)$c . "' limit 1");

			  if ( !tep_db_num_rows($check_query) ) {
				tep_db_query("insert into returns_configuration (returns_order_statuses) values ('" . (int)$c . "')");
			  }
		  }
		}
      }
			
      tep_redirect(tep_href_link('returns_configuration.php'));
      break;
  }
require('includes/template_top.php');
?>
<?php
if($_GET['action'] == 'install_new') {
?>
<table border="0" width="70%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE_INSTALL; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>		  
		  <tr>
			<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
		  </tr>
		  <tr>
			<td colspan="3"><?php echo TEXT_RETURNS_INSTALL; ?></td>
		  </tr>
		  <tr>
			<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
		  </tr>
        </table></td>
      </tr>
	  <tr>
	    <td><?php echo tep_draw_button(IMAGE_INSTALL, 'triangle-1-se', 'returns_configuration.php?action=install', 'primary'); ?></td>
	  </tr>
	  <tr>
	    <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
	  </tr>
</table>
<?php
} else {
?>
<?php echo tep_draw_form('configuration', 'returns_configuration.php', 'action=update'); ?>
<table border="0" width="70%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE . ' ' . $_GET['action'] . ' ' . $blah; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>		  
		  <tr>
			<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
		  </tr>
        </table></td>
      </tr>
      <tr>
        <td valign="top">
		  <table cellpadding="5">
		    <tr class="dataTableRow">
			  <td colspan="3">
			    <table>
				  <tr>
					<td colspan="3" class="main"><?php echo HEADING_TEXT_DIRECTIONS; ?></td>
				  </tr>
				
				   <?php
				  $orders_status_query = tep_db_query("select orders_status_id, orders_status_name from orders_status where public_flag = '1' and language_id = '" . (int)$languages_id . "'");
					  while ($orders_status = tep_db_fetch_array($orders_status_query)) {
						
						$check_query = tep_db_query("select returns_order_statuses from returns_configuration where returns_order_statuses = '" . (int)$orders_status['orders_status_id'] . "' limit 1");
						  if ( !tep_db_num_rows($check_query) ) {
							  $checked = false;
						  } else {
							  $checked = true;
						  }
				  ?>

					<tr><td width="200"></td><td><?php echo tep_draw_checkbox_field('orders_status_id[]', $orders_status['orders_status_id'], $checked); ?></td><td align="left"><?php echo $orders_status['orders_status_name'] . '<br>'; ?></td></tr>

				  <?php
					}
				  ?>
				</table>
			  </td>
			</tr>
			<tr>
			  <td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '40'); ?></td>
			</tr>
		    <tr class="dataTableRow">
			  <td colspan="3">
			    <table>
				  <tr>
					<td class="main" colspan="3"><?php echo HEADING_TEXT_DIRECTIONS_DAYS; ?></td>
				  </tr>
				  <tr>
					<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
				  </tr>		  
				  <tr class="dataTableRow">
					<td width="200"></td><td width="400"><?php echo tep_draw_input_field('days', DAYS_FOR_REFUND); ?></td><td><?php echo TEXT_DAYS; ?><br></td>
				  </tr>
				</table>
			  </td>
			</tr>
			<tr>
			  <td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '40'); ?></td>
			</tr>
		    <tr class="dataTableRow">
			  <td colspan="3">
			    <table>			 
				  <tr>
					<td class="main" colspan="3"><?php echo HEADING_TEXT_DIRECTIONS_RESTOCK_FEE; ?></td>
				  </tr>
				  <tr class="dataTableRow">
					<td width="200"></td><td width="400"><?php echo tep_draw_input_field('restock', DEFAULT_RESTOCK_VALUE); ?></td><td><?php echo TEXT_PERCENT; ?><br></td>
				  </tr>
				</table>
			  </td>
			</tr>
			<tr>
			  <td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '40'); ?></td>
			</tr>				
		    <tr class="dataTableRow">
			  <td colspan="3">
			    <table>			 
				  <?php
					if(OSCOM_APP_PAYPAL_TRANSACTIONS_ORDER_STATUS_ID) {
				  ?>
				  <tr>
					<td class="main" colspan="3"><?php echo HEADING_TEXT_DIRECTIONS_PAYPAL_STATUS; ?></td>
				  </tr>
				  <tr>
					<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
				  </tr>
				  <?php
				  $returns_statuses = array();
				  $returns_status_array = array();
				  $returns_status_query = tep_db_query("select returns_status_id, returns_status_name from returns_status where language_id = '" . $languages_id . "'");
				  while ($returns_status = tep_db_fetch_array($returns_status_query)) {
					$returns_statuses[] = array('id' => $returns_status['returns_status_id'],
											   'text' => $returns_status['returns_status_name']);
					$returns_status_array[$returns_status['returns_status_id']] = $returns_status['returns_status_name'];
				  }
				  ?>
				  <tr class="dataTableRow">
					<td width="200"></td><td width="400"><?php echo tep_draw_pull_down_menu('status', $returns_statuses, RETURNS_PAYPAL_TRANSACTIONS_ORDER_STATUS_ID); ?></td><td><?php echo TEXT_PAYPAL_STATUS; ?><br></td>
				  </tr>
					<?php
					}
					?>
				</table>
			  </td>
			</tr>			  
			<tr>
			  <td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '40'); ?></td>
			</tr>
			<tr class="dataTableRow">
			  <td colspan="3">
			    <table>			 
				  <?php
					if(RETURNS_CLOSED_TRANSACTIONS_ORDER_STATUS_ID) {
				  ?>
				  <tr>
					<td class="main" colspan="3"><?php echo HEADING_TEXT_DIRECTIONS_CLOSED_STATUS; ?></td>
				  </tr>
				  <tr>
					<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
				  </tr>
				  <?php
				  $returns_statuses = array();
				  $returns_status_array = array();
				  $returns_status_query = tep_db_query("select returns_status_id, returns_status_name from returns_status where language_id = '" . $languages_id . "'");
				  while ($returns_status = tep_db_fetch_array($returns_status_query)) {
					$returns_statuses[] = array('id' => $returns_status['returns_status_id'],
											   'text' => $returns_status['returns_status_name']);
					$returns_status_array[$returns_status['returns_status_id']] = $returns_status['returns_status_name'];
				  }
				  ?>
				  <tr class="dataTableRow">
					<td width="200"></td><td width="400"><?php echo tep_draw_pull_down_menu('closed', $returns_statuses, RETURNS_CLOSED_TRANSACTIONS_ORDER_STATUS_ID); ?></td><td><?php echo TEXT_CLOSED_STATUS; ?><br></td>
				  </tr>
					<?php
					}
					?>
				</table>
			  </td>
			</tr>			  
			<tr>
			  <td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '40'); ?></td>
			</tr>	
			<tr class="dataTableRow">
			  <td colspan="3">
			    <table>			 
				  <tr>
					<td class="main" colspan="3"><?php echo HEADING_TEXT_DIRECTIONS_SERIAL_NUMBER; ?></td>
				  </tr>
				  <tr>
					<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
				  </tr>
				  <tr class="dataTableRow">
					<td width="200" align="center"><?php echo tep_draw_checkbox_field('show_serial_number', '1', ((RETURNS_SHOW_SERIAL_NUMBER == '1') ? true : false)); ?><br>
					</td><td width="400"><?php echo TEXT_SHOW_SERIAL_NUMBER; ?><br></td><td><?php 
					    if (RETURNS_SHOW_SERIAL_NUMBER_OPTION == '1') {
						  $in_status = true; $out_status = false;
						} else {
						  $in_status = false; $out_status = true;
						}
					    echo tep_draw_radio_field('show_serial_number_option', '1', $in_status) . '&nbsp;' . TEXT_SHOW_SERIAL_NUMBER_REQUIRED . '&nbsp;' . tep_draw_radio_field('show_serial_number_option', '0', $out_status) . '&nbsp;' . TEXT_SHOW_SERIAL_NUMBER_OPTIONAL . ' ' . TEXT_SHOW_SERIAL_NUMBER_OPTION; ?></td>
				  </tr>
					<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
				  </tr>
				</table>
			  </td>
			</tr>
			  
			
		    <tr class="dataTableRow">
			  <td colspan="3">
			    <table>			 
				  <tr>
					<td class="main" colspan="3"><?php echo HEADING_TEXT_DIRECTIONS_TERMS_AND_CONDITIONS; ?></td>
				  </tr>
				  <tr>
					<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
				  </tr>
				  <tr class="dataTableRow">
					<td width="200" align="center"><?php echo tep_draw_checkbox_field('show_terms_and_conditions', '1', ((RETURNS_SHOW_TERMS_AND_CONDITIONS == '1') ? true : false)); ?></td><td><?php echo TEXT_SHOW_TERMS_AND_CONDITIONS; ?></td><td><br></td>
				  </tr>
				  <tr>
					<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
				  </tr>
					<?php
					
					print_r($terms);
					$languages = tep_get_languages();
					  for ($i=0, $n=sizeof($languages); $i<$n; $i++) {  
					  $terms_query = tep_db_query("select terms_and_conditions from returns_text where language_id = '" . $languages[$i]['id'] . "'");
					  $terms = tep_db_fetch_array($terms_query);
					?>
				  <tr>
					<td><?php if ($i == 0) echo TEXT_TERMS_AND_CONDITIONS; ?></td>            
					<td><table border="0" cellspacing="0" cellpadding="0">
					  <tr>
						<td class="main" valign="top"><?php echo tep_image(tep_catalog_href_link('includes/languages/' . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], '', 'SSL'), $languages[$i]['name']); ?>&nbsp;</td>
						<td class="main"><?php echo tep_draw_textarea_field('terms_and_conditions[' . $languages[$i]['id'] . ']', 'soft', '70', '15', $terms['terms_and_conditions']); ?></td>
					  </tr>
					</table></td>
				  </tr>
				  <?php
					}
				  ?>
				</table>
			  </td>
			</tr>
			  
		  </table>
		</td>
      </tr>
	  <tr>
		<td colspan="3"><?php echo tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
	  </tr>
	  <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr class="dataTableRow">
            <tr><td width="200"><td class="smallText" align="left"><?php echo tep_draw_button(IMAGE_SAVE, 'disk', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link('index.php')); ?></td>
          </tr>
        </table></td>
      
	  </tr>
    </table>
	</form>
<?php
}
?>
<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>