<?php
/**
  * RMA Return System for osCommerce Online Merchant
  *
  * Author: frankl
  *
  * Portions @copyright (c) 2017 osCommerce; https://www.oscommerce.com
  * @license MIT; https://www.oscommerce.com/license/mit.txt
  */

  class hook_admin_returns_paypal {
    function listen_returnsAction() {
      if ( !class_exists('paypal_hook_admin_returns_action') ) {
        include(DIR_FS_CATALOG . 'includes/apps/paypal/hooks/admin/returns/action.php');
      }

      $hook = new paypal_hook_admin_returns_action();

      return $hook->execute();
    }

    function listen_returnsTab() {
      if ( !class_exists('paypal_hook_admin_returns_tab') ) {
        include(DIR_FS_CATALOG . 'includes/apps/paypal/hooks/admin/returns/tab.php');
      }

      $hook = new paypal_hook_admin_returns_tab();

      return $hook->execute();
    }
  }
?>
