<?php
/**
  * RMA Return System for osCommerce Online Merchant
  *
  * Author: frankl
  *
  * Portions @copyright (c) 2017 osCommerce; https://www.oscommerce.com
  * @license MIT; https://www.oscommerce.com/license/mit.txt
  */

define('HEADING_TITLE', 'Return a Product');
define('WARNING_SELECT_PRODUCT_ID', 'Please select a product to return');
define('TEXT_RETURNS_SELECT_PRODUCT', 'Select the product you wish to return'); 
define('HEADING_RETURNS_SELECT', 'Select'); 
define('HEADING_RETURNS_PRODUCTS', 'Product Name');
define('HEADING_RETURNS_ORIGINAL_QTY', 'Qty Originally Ordered'); 
define('TEXT_RETURNS_HEADING', 'Complete the form below to create an RMA number for Order %s');

define('HEADING_RETURNS_QUANTITY', 'Qty');
define('HEADING_RETURNS_TOTAL', 'Cost Each');
define('TEXT_RETURNS_ALREADY_RETURNED', ' (return already exists)');

define('TEXT_RETURNS_SERIAL_NUMBER', 'Product Serial Number');
define('TEXT_RETURNS_DELIVERY_ADDRESS', 'Delivery Address');
define('TEXT_RETURNS_USER_EMAIL', 'Customer Email Address');
define('TEXT_RETURNS_WHY_RETURN', 'Reason for Return');
define('TEXT_RETURNS_PREF_REFUND_METHOD', 'Customer\'s Preferred Refund Method');
define('TEXT_RETURNS_SURCHARGE_WARNING', 'Surcharge');
define('TEXT_RETURNS_SURCHARGE', 'Return may be subject to a <strong>%s</strong> re-stocking fee.');
define('TEXT_RETURNS_TEXT', 'Additional Comments (these will be seen by the customer!)');
define('TEXT_RETURNS_COMMENTS', 'Comments for the customer');
define('TEXT_RETURNS_TEXT_ADMIN', 'Admin Comments (these will NOT be seen by the customer)');
define('TEXT_RETURNS_COMMENTS_ADMIN', 'Comments for admin');

define('TEXT_RETURNS_ERROR_QUANTITY', 'The quantity you entered is greater than the quantity originally ordered.');
define('HEADING_WARNING', '<strong>WARNING: </strong><br>');
define('TEXT_ERROR_INCORRECT_STATUS', 'Order is the incorrect status for returns.<br>');
define('TEXT_ERROR_BEYOND_STORE_RETURN_LIMIT', 'Limit for returns is %s days. This order is older than that.<br>');

define('TEXT_RETURNS_YOUR_RMA_NUMBER','Created RMA number ');
define('TEXT_RETURNS_SUCCESS','<br><br>You\'ve sucessfully created return request. A confirmation email has been sent to the customer at <strong>%s</strong>. <br><br><br>You can track the status of this return request <a href="returns.php?rID=' . $_GET['return_id'] . '&oID=' . $_GET['order_id'] . '&action=edit"><u>here</u></a><br><br>');


define('BUTTON_RETURNS_SUBMIT', 'Continue'); 
