<?php
/**
  * RMA Return System for osCommerce Online Merchant
  *
  * Author: frankl
  *
  * Portions @copyright (c) 2017 osCommerce; https://www.oscommerce.com
  * @license MIT; https://www.oscommerce.com/license/mit.txt
  */

define ('TAB_RETURN_COUPON', 'Credit Coupon');

define ('IMAGE_CREATE_COUPON', 'Create credit coupon');

define ('DIALOG_COUPON_TITLE', 'Create credit coupon');
define ('DIALOG_COUPON_BODY', 'Create a credit coupon for this return. Credit coupons are for one use only, for one customer only. You can change that setting in coupon admin once the coupon is created.');

define ('TEXT_COUPON_AMOUNT', 'Amount');
define ('TEXT_COUPON_CODE', 'Coupon code - can be changed');
define ('TEXT_COUPON_NAME', 'Coupon name');
define ('TEXT_COUPON_SHIPPING', 'Include free shipping?');
define ('TEXT_COUPON_DESCRIPTION', 'Credit coupon for return ');
define ('TEXT_COUPON_PRODUCTS', 'A comma separated list of product_ids that this coupon can be used with. Leave blank for no restrictions.');
define ('TEXT_COUPON_CATEGORIES', 'A comma separated list of cpaths that this coupon can be used with, leave blank for no restrictions.');
define ('TEXT_COUPON_MANUFACTURERS', 'A comma separated list of manufacturer_ids that this coupon can be used with, leave blank for no restrictions.');
define ('TEXT_COUPON_EXCLUDED', 'A comma separated list of products that this coupon cannot be used with, leave blank for no restrictions.');
define ('TEXT_COUPON_EXCLUDE_SPECIALS', 'Exclude specials');
define ('TEXT_COUPON_INCLUDE_SPECIALS', 'Include specials');
define ('TEXT_COUPON_START_DATE', 'The date the coupon will be valid from (leave blank for today\'s date)');
define ('TEXT_COUPON_EXPIRE_DATE', 'The date the coupon expires');
define ('TEXT_COUPON_IS_ACTIVE', 'Active');
define ('TEXT_COUPON_NOT_ACTIVE', 'Inactive');

define ('RETURNS_PLACEHOLDER_OPTIONAL', 'Optional');
define ('RETURNS_PLACEHOLDER_REQUIRED', 'Required');
define ('RETURNS_PLACEHOLDER_LEAVE_BLANK', 'Default is today');

define ('BUTTON_CREATE_COUPON', 'Create Coupon');
define ('BUTTON_CANCEL_COUPON', 'Cancel');
define ('TEXT_COUPON_COMPLETE', 'Please mark return as completed before attempting to send a coupon');
define ('TEXT_RETURN_FINALISED', 'This return has been finalised.');