<?php
/**
  * RMA Return System for osCommerce Online Merchant
  *
  * Author: frankl
  *
  * Portions @copyright (c) 2017 osCommerce; https://www.oscommerce.com
  * @license MIT; https://www.oscommerce.com/license/mit.txt
  */
  
define ('ERROR_COUPON_EXISTS', 'Coupon code already exists');
define ('ERROR_NO_COUPON_EXPIRE_DATE', 'No expiry date for coupon entered');
define ('ERROR_NO_COUPON_CODE', 'No coupon code entered');

define('EMAIL_TEXT_COUPON_SUBJECT', STORE_NAME . ' ' .'Return Update');
define('EMAIL_TEXT_RETURNS_NUMBER', '<b>Return Request:</b>');
define('EMAIL_TEXT_COUPON_AMOUNT', 'We have finalised your return and have created a discount coupon code to use at ' . STORE_NAME . '. The coupon amount is ');
define('EMAIL_TEXT_COUPON_IS', 'The coupon code to enter on our site is ');
define('EMAIL_TEXT_COUPON_REMEMBER', 'Don\'t lose the coupon code, make sure to keep it safe so you can use it when you need it. ');
define('EMAIL_COUPON_EXPIRE_REMINDER', 'Your discount coupon will expire on ');
define('EMAIL_COUPON_MINIMUM_AMOUNT', 'Your order must be more than %s to proceed through checkout. If your order is for less than the coupon amount, call us on ' . STORE_PHONE . ' and we will process your order over the phone.');
define('EMAIL_COUPON_SIGN_OFF', 'Kind Regards' . "\n\n" . '' . STORE_NAME .'');
define('EMAIL_COUPON_VISIT', 'Just enter the coupon code in the box on the payment page as you go through checkout when you visit ' . HTTP_SERVER . DIR_WS_CATALOG);

define('SUCCESS_COUPON_CREATED', 'Coupon created and emailed to customer.');
