<?php
/**
  * RMA Return System for osCommerce Online Merchant
  *
  * Author: frankl
  *
  * Portions @copyright (c) 2017 osCommerce; https://www.oscommerce.com
  * @license MIT; https://www.oscommerce.com/license/mit.txt
  */

define('EMAIL_TEXT_RETURNS_SUBJECT', 'Return request sent to ' . STORE_NAME);
define('EMAIL_TEXT_RETURNS_TITLE', 'RMA number: <b><i>' . $rma_value . '</b></i>' . "\n\n");
define('EMAIL_TEXT_RETURNS_THANKS', 'Thank you for submitting your return request to <b>' . STORE_NAME . '</b>.' . "\n\n");
define('EMAIL_TEXT_RETURNS_SENT', 'Your request has been sent to the relevant department for processing. You can check the status of your request at ' . $email_link . "\n\n");
define('EMAIL_TEXT_RETURNS_CLOSE', 'If you need to contact us regarding this matter, please quote the above RMA number so that we may keep track of all relevant correspondance.' . "\n\n");
define('EMAIL_TEXT_RETURNS_CONTACT', 'For help with any of our online services, please contact us at: ' . STORE_OWNER_EMAIL_ADDRESS . '.' . "\n\n");
define('EMAIL_TEXT_RETURNS_WARNING', '<b>Note:</b> This email address was given to us by someone using it to submit a support request. If you did not send this request, please send a message to ' . STORE_OWNER_EMAIL_ADDRESS . '.' . "\n");

define('EMAIL_TEXT_RETURNS_SUBJECT_ADMIN', 'Return request received - ');
define('EMAIL_TEXT_TICKET_ADMIN', 'RMA number - <b><i>' . $rma_value . '</b></i>' . "\n\n");
define('EMAIL_TEXT_RETURNS_THANKS_ADMIN', 'This message is meant to inform you that the above return request has been entered by the customer' . "\n\n");
define('EMAIL_TEXT_RETURNS_ADMIN', 'Please log into the admin area to see the return information.' . "\n\n");
?>
