<?php
/**
  * RMA Return System for osCommerce Online Merchant
  *
  * Author: frankl
  *
  * Portions @copyright (c) 2017 osCommerce; https://www.oscommerce.com
  * @license MIT; https://www.oscommerce.com/license/mit.txt
  */

define('NAVBAR_TITLE', 'Return a Product');
define('HEADING_TITLE', 'Return a Product');


define('HEADING_RETURNS_PRODUCTS', 'Product Name');
define('HEADING_RETURNS_QUANTITY', 'Qty');
define('HEADING_RETURNS_TOTAL', 'Cost Each');
define('HEADING_RETURNS_ORDER_NUMBER', 'Order #%s');
define('HEADING_RETURNS_ORDER_DATE', 'Order Date:');
define('HEADING_RETURNS_ORIGINAL_QTY', 'Qty Ordered'); 


define('TEXT_RETURNS_HEADING', 'Please complete the form below to request an RMA number');
define('TEXT_RETURNS_WHY_RETURN', 'Reason for Return');
define('TEXT_RETURNS_COMMENTS', 'If there is anything you would like to tell us about this return, type it here');
define('TEXT_RETURNS_PRODUCT_RETURN', 'Product to Return');
define('TEXT_RETURNS_BILLING_ADDRESS', 'Billing Address');
define('TEXT_RETURNS_DELIVERY_ADDRESS', 'Delivery Address');
define('TEXT_RETURNS_USER_EMAIL', 'Your Email Address');
define('TEXT_RETURNS_SURCHARGE', 'Non-defective products are subject to a <strong>%s</strong> re-stocking fee. All returned products are evaluated thoroughly before a final decision is made.');
define('TEXT_RETURNS_TEXT', 'Additional Comments');
define('TEXT_RETURNS_SERIAL_NUMBER', 'Product Serial Number');
define('TEXT_RETURNS_ENTER_SERIAL_NUMBER_REQUIRED', 'Product Serial Number (Required)');
define('TEXT_RETURNS_ENTER_SERIAL_NUMBER_OPTIONAL', 'Product Serial Number (Optional)');
define('TEXT_RETURNS_SELECT_PRODUCT', 'Select the product you wish to return'); 
define('TEXT_RETURNS_ALREADY_RETURNED', ' (return already exists)'); 
define('TEXT_RETURNS_ERROR_QUANTITY', 'The quantity you entered is greater than the quantity originally ordered.');
define('TEXT_RETURNS_PREF_REFUND_METHOD', 'Preferred Refund Method');
define('TEXT_REQUEST_RMA', 'Return Request Number');
define('TEXT_RETURNS_YOUR_RMA_NUMBER','Your RMA number is ');
define('TEXT_RETURNS_THANK_YOU','Thank you %s');
define('TEXT_RETURNS_SUCCESS','You\'ve sucessfully submitted your return request. We have sent a confirmation email to <strong>%s</strong>. If you don\'t receive the email in the next hour, please <a href="' . tep_href_link('contact_us.php') . '">contact us</a>. <br><br><strong>You don\'t need to do anything until you hear back from us.</strong> You can track the status of your return request <a href="' . tep_href_link('returns_track.php') . '">here</a><br><br>Please be sure to make a note of the above RMA number, as you will need it to track the progress of your return. We will be in touch soon with further instructions regarding your return request.');

define('IMAGE_BUTTON_BACK_TO_ORDER','Back to order page');
define('ERROR_RETURNS_TOO_MANY','The quantity you entered is greater than the quantity originally ordered.');
define('ERROR_RETURNS_ALREADY_RETURNED', 'Already returned');

define('HEADING_RETURNS_MODAL_TERMS_AND_CONDITIONS', 'Terms and Conditions');
define('HEADING_RETURNS_MODAL_PLEASE_READ', 'Please read and agree to these terms and conditions before proceeding.');
define('BUTTON_RETURNS_MODAL_TERMS_AND_CONDITIONS_AGREE', 'I agree to the terms and conditions');
define('BUTTON_RETURNS_MODAL_TERMS_AND_CONDITIONS_EMAIL', 'Send to email');
define('TEXT_RETURNS_MODAL_TERMS_AND_CONDITIONS_CANCEL', 'Cancel');
define('TEXT_RETURNS_MODAL_TERMS_AND_CONDITIONS_SENT', 'Email sent');
define('TEXT_RETURNS_MODAL_TERMS_AND_CONDITIONS_ERROR', 'Send error!  ');

define('EMAIL_TEXT_SEND_TERMS_SUBJECT', STORE_NAME . ' return terms and conditions');
define('EMAIL_TEXT_RETURNS_CONTACT_OPEN', 'For help with any of our online services, please contact us at: ' . STORE_OWNER_EMAIL_ADDRESS . '.' . "\n\n");
define('TEXT_RETURNS_MODAL_TERMS_AND_CONDITIONS_SENT', 'Email sent');
define('EMAIL_TEXT_SEND_TERMS_TITLE', 'Hi %s' . "\n\n");
define('EMAIL_TEXT_SEND_TERMS_OPEN', 'Here are the ' . STORE_NAME . ' return terms and conditions you requested' . "\n\n");
define('EMAIL_SEPARATOR', '------------------------------------------------------');