<?php
/**
  * RMA Return System for osCommerce Online Merchant
  *
  * Author: frankl
  *
  * Portions @copyright (c) 2017 osCommerce; https://www.oscommerce.com
  * @license MIT; https://www.oscommerce.com/license/mit.txt
  */

  class hook_admin_orders_returns_tab {
		
	function load_language() {
		global $language;
      include_once(DIR_FS_CATALOG_LANGUAGES . $language . '/modules/hooks/admin/orders/' . basename(__FILE__));
		}

    function execute() {
      global $oID, $languages_id;
			$this->load_language();

      $output = '';

      $returns_query = tep_db_query("select returns_id, orders_id, date_added, rma_value, returns_status, products_id, products_quantity, return_reason_id, date_added FROM returned_products where orders_id = '" . (int)$_GET['oID'] . "' order by date_added DESC");
      if ( tep_db_num_rows($returns_query) > 0 ) {
			
	    $returns_list = '<table border="0" width="100%" cellspacing="0" cellpadding="5">' . "\n" .
					  '  <tr class="dataTableHeadingRow">' . "\n" .
					  '		<td class="dataTableHeadingContent">' . TABLE_HEADING_RETURNS_DATE . '</td>' . "\n" .
					  '		<td class="dataTableHeadingContent">' . TABLE_HEADING_RETURNS_RMA . '</td>' . "\n" .
					  '		<td class="dataTableHeadingContent">' . TABLE_HEADING_RETURNS_PRODUCT . '</td>' . "\n" .
					  '		<td class="dataTableHeadingContent">' . TABLE_HEADING_RETURNS_REASON . '</td>' . "\n" .
					  '		<td class="dataTableHeadingContent">' . TABLE_HEADING_RETURNS_STATUS . '</td>' . "\n" .
					  '  </tr>' . "\n";
        while ($return = tep_db_fetch_array($returns_query)) {
		  $returned_products_query = tep_db_query("SELECT * FROM orders_products where orders_id = '" . (int)$_GET['oID'] . "' and products_id = '" . $return['products_id'] . "'");
		  $returned_products = tep_db_fetch_array($returned_products_query);
	 
		  $returns_status_id = $return['returns_status'];
		  $returns_status_query = tep_db_query("SELECT returns_status_name FROM returns_status where returns_status_id = " . $returns_status_id . " and language_id = '" . (int)$languages_id . "'");
		  $returns_status_array = tep_db_fetch_array($returns_status_query);
		  $returns_status = $returns_status_array['returns_status_name'];
		  $reason_query = tep_db_query("SELECT return_reason_name FROM return_reasons where return_reason_id = '" . $return['return_reason_id'] . "' and language_id = '" . $languages_id . "'");
		  $reason = tep_db_fetch_array($reason_query);
		  $return_reason = $reason['return_reason_name'];
		  $returns_added_query = tep_db_query("select date_added from returned_products where returns_id = '" . $return['returns_id'] . "' order by date_added");
		  $returns_added = tep_db_fetch_array($returns_added_query);


		  $returns_list .= '  <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link('returns.php', 'rID=' . $return['returns_id'] . '&oID=' . $returns['orders_id'] . '&action=edit#section_status_history_content') . '\'">' . "\n" .
						  '		<td class="dataTableContent">' . tep_datetime_short($return['date_added']) . '</td>' . "\n" .
						  '		<td class="dataTableContent">' . $return['rma_value'] . '</td>' . "\n" .
						  '		<td class="dataTableContent">' . $return['products_quantity'] . '&nbsp;x ' . $returned_products['products_name'] . '</td>' . "\n" .
						  '		<td class="dataTableContent">' . $return_reason . '</td>' . "\n" .
						  ' 	<td class="dataTableContent">' . $returns_status . '</td>' . "\n" .
						  '  </tr>' . "\n";
         }
	    $returns_list .= '</table>'."\n";
      }
          
      $tab_title = addslashes(TAB_RETURNS_TAB_TITLE);
      $tab_link = substr(tep_href_link('orders.php', tep_get_all_get_params()), strlen($base_url)) . '#section_returns';
	  $returns_button = tep_draw_button(BUTTON_RETURNS_CREATE_RETURN, 'arrowthick-1-e', tep_href_link('return_create.php', 'orders_id=' . $oID . '&action=new')) . '<br /><br />';

      $output = <<<EOD
<script>
$(function() {
  $('#orderTabs ul').append('<li><a href="{$tab_link}">{$tab_title}</a></li>');
});
</script>

<div id="section_returns" style="padding: 10px;">
{$returns_button} {$returns_list}
</div>
EOD;

      return $output;
    }

  } 
